<?php

namespace app\admin\model;

use think\Model;


class AdsiteModel extends Model
{
    // 表名
    protected $name = 'ad_site';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'site_type_text'
    ];

    
    public function getSiteTypeList()
    {
        return ['1' => __('Site_type 1'), '2' => __('Site_type 2'), '3' => __('Site_type 3')];
    }


    public function getSiteTypeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['site_type']) ? $data['site_type'] : '');
        $list = $this->getSiteTypeList();
        return isset($list[$value]) ? $list[$value] : '';
    }




}
