<?php

namespace app\common\model;

use think\Model;


class AdModel extends Model
{
    protected $name = 'ad';
    protected $hidden = ['bg_date','closed','end_date','city_id','orderby'];

    /**广告列表
     * @description:
     * @param {type}
     * @return:
     */
    public static function getAdList($site_id,$limit=6){
        $that = new static();
        if(is_array($site_id)){
            $where['site_id'] = ['in',$site_id];
        }else{
            $where['site_id']  = ['eq',$site_id];
        }
        $res = $that->where($where)
            ->where('closed','EQ',0)
            ->where('bg_date','ELT',date('Y-m-d'))
            ->where('end_date','EGT',date('Y-m-d'))
            ->order("orderby asc")->limit($limit)->select();
        foreach($res as $key=>$val){
            $res[$key]['link_url'] = htmlspecialchars_decode($val['link_url']);
        }
        return $res;
    }

}
