<?php

namespace app\common\model;

use think\Model;


class CourseArticleModel extends Model
{
    // 表名
    protected $name = 'course_article';

    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;



    public static function queryArticle($where,$field="*",$page=1,$pageSize=10,$order='createtime desc'){
       $list= self::where($where)->field($field)->order($order)->limit($pageSize)->page($page)->select();
       foreach ($list as $key=>$val){
           $list[$key]['content']=mb_substr_content($val['content'],55);
       }
       return $list;
    }
}
