<?php

namespace app\common\model;

use think\Model;


class VideoSublessonModel extends Model
{
    // 表名
    protected $name = 'video_sublesson';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;



    public function getStatusList()
    {
        return ['1' => __('status 1'), '0' => __('status 0')];
    }

    public static function queryVideo($where,$field="*",$page=1,$pageSize=10,$order='createtime desc'){
        $list= self::where($where)->field($field)->order($order)->limit($pageSize)->page($page)->select();
        foreach ($list as $key=>$val){
            $list[$key]['introduction']=mb_substr_content($val['introduction'],5);
            $list[$key]['title']=mb_substr_content($val['title'],10);
        }
        return $list;
    }
}
