<?php


namespace app\index\controller;


use app\common\controller\Backend;
use app\common\controller\Frontend;
use app\common\model\AdModel;
use app\common\model\CourseArticleModel;
use app\common\model\CourseClassModel;

/**互动平台
 * Class Interactive
 */
class Interactive extends Backend
{
    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';


    public function index(){
        $AdList=AdModel::getAdList(11,1);
        $class_ids=CourseClassModel::ClassField(" id in (100,101)","id,title,image_url,pid,index_type","select");
        $child_class_ids_one=CourseClassModel::ClassField(" id !=100 and FIND_IN_SET(100,pidexist)","id,title,image_url,pid,index_type","select");
        $child_class_ids_two=CourseClassModel::ClassField(" id !=101 and FIND_IN_SET(101,pidexist)","id,title,image_url,pid,index_type","select");
        foreach ($child_class_ids_one as $k=>$v){
            $pageSize=12;
            $child_class_ids_one[$k]['ChildArticle']=CourseArticleModel::queryArticle(['class_id'=>$v['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize);
        }
        foreach ($child_class_ids_two as $k=>$v){
            $pageSize=4;
            $child_class_ids_two[$k]['ChildArticle']=CourseArticleModel::queryArticle(['class_id'=>$v['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize);
        }

        $ZYAdList=AdModel::getAdList(21,1);
        $this->view->assign("AdList", $AdList);
        $this->view->assign("classIds", $class_ids);
        $this->view->assign("ZYAdList", $ZYAdList);
        $this->view->assign("child_class_ids_one", $child_class_ids_one);
        $this->view->assign("child_class_ids_two", $child_class_ids_two);
        return $this->view->fetch("index/hdptindex");
    }
}