<?php


namespace app\index\controller;


use app\common\controller\Backend;
use app\common\controller\Frontend;
use app\common\model\AdModel;
use app\common\model\CourseArticleModel;
use app\common\model\CourseClassModel;
/*
 * 文体俱乐部
 */
class Sportsclub extends Backend
{
    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';


    public function index(){
        $AdList=AdModel::getAdList(13,1);
        $class_ids=CourseClassModel::ClassField(" id in (130,131,132,133)","id,title,image_url,pid,index_type","select");
        //板报展板
        $approved=[];
        //演讲主持
        $speechhosted=[];
        //曲艺小品
        $Quyisketch=[];
        //美术设计
        $graphicdesigner=[];
        foreach ($class_ids as $key=>$val){
            switch ($key){
                case 0:
                    $pageSize=8;
                    array_push($approved,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($approved,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                case 1:
                    $pageSize=14;
                    array_push($speechhosted,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($speechhosted,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                case 2:
                    $pageSize=10;
                    array_push($Quyisketch,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($Quyisketch,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                case 3:
                    $pageSize=6;
                    array_push($graphicdesigner,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($graphicdesigner,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                default:
                    break;
            }
        }
        foreach ($approved[1]['data'] as $key=>$val){
            $approved[1]['data'][$key]['title']=mb_substr_content($val['title'],10);
        }

        $this->view->assign("AdList", $AdList);
        $this->view->assign("classIds", $class_ids);
        $this->view->assign("approved", $approved);
        $this->view->assign("speechhosted", $speechhosted);
        $this->view->assign("Quyisketch", $Quyisketch);
        $this->view->assign("graphicdesigner", $graphicdesigner);
        return $this->view->fetch("index/wtjlbindex");
    }
}