<?php


namespace app\index\controller;


use app\common\controller\Backend;
use app\common\controller\Frontend;
use app\common\model\AdModel;
use app\common\model\CourseArticleModel;
use app\common\model\CourseClassModel;

/**战时政治工作
 * Class Wartimepolitical
 */
class Wartimepolitical  extends Backend
{
    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';


    public function index(){
        $AdList=AdModel::getAdList(12,1);
        $class_ids=CourseClassModel::ClassField(" id in (120,121,122,123)","id,title,image_url,pid,index_type","select");
        //历史经验
        $historical=[];
        $historical_below=[];
        //成果交流
        $communication=[];
        //热点追踪
        $hottrack=[];
        //实践探究
        $praticalinquiry=[];
        foreach ($class_ids as $key=>$val){
            switch ($key){
                case 0:
                    $pageSize=3;
                    array_push($historical,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($historical,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0,'index_type'=>2],"*",'1',$pageSize)]);
                    array_push($historical_below,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*",'1',10)]);
                    break;
                case 1:
                    $pageSize=5;
                    array_push($communication,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($communication,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                case 2:
                    $pageSize=14;
                    array_push($hottrack,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($hottrack,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                case 3:
                    $pageSize=14;
                    array_push($praticalinquiry,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($praticalinquiry,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                default:
                    break;
            }
        }

        foreach ($historical_below[0]['data'] as $key=>$val){
            $historical_below[0]['data'][$key]['title']=mb_substr_content($val['title'],8);
        }
        $this->view->assign("AdList", $AdList);
        $this->view->assign("classIds", $class_ids);
        $this->view->assign("historical", $historical);
        $this->view->assign("historical_below", $historical_below);
        $this->view->assign("communication", $communication);
        $this->view->assign("hottrack", $hottrack);
        $this->view->assign("praticalinquiry", $praticalinquiry);
        return $this->view->fetch("index/tsztindex");
    }

}