<?php

namespace app\admin\model;

use think\Model;


class AdModel extends Model
{
    // 表名
    protected $name = 'ad';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [

    ];


    public function getClosedList()
    {
        return ['1' => __('closed 1'), '0' => __('closed 0')];
    }

    public function adsite(){
        return $this->belongsTo('AdsiteModel','site_id','site_id','left')->setEagerlyType(0);
    }





}
