<?php

namespace app\admin\model;

use think\Model;


class CourseArticleModel extends Model
{
    // 表名
    protected $name = 'course_article';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;



    public function getStatusList()
    {
        return ['1' => __('status 1'), '0' => __('status 0')];
    }
    public function getIndexTypeList()
    {
        return ['1' => __('indexType 1'), '2' => __('indexType 2')];
    }

    public function admin(){
        return self::hasOne("Admin",'id',"auth_id")->bind("username,nickname,email");
    }

    public function course(){
        return self::belongsTo("CourseClassModel",'class_id','id','','left')->setEagerlyType(0);
    }
}
