<?php

namespace app\admin\model;

use think\Model;


class VideoSublessonModel extends Model
{
    // 表名
    protected $name = 'video_sublesson';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;



    public function getStatusList()
    {
        return ['1' => __('status 1'), '0' => __('status 0')];
    }
    public function admin(){
        return self::hasOne("Admin",'id',"auth_id")->bind("username,nickname,email");
    }
    public function video(){
        return self::belongsTo("CourseVideoModel",'video_id','id','','left')->setEagerlyType(0);
    }
}
