<?php

namespace app\common\model;

use think\Model;


class CourseVideoModel extends Model
{
    // 表名
    protected $name = 'course_video';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    public static function queryVideo($where,$field="*",$page=1,$pageSize=10,$order='orderby asc'){
        return self::where($where)->field($field)->order($order)->limit($pageSize)->page($page)->select();
    }
}
