<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2022/4/19
 * Time: 15:07
 */

namespace app\index\controller;
use app\admin\model\CourseArticleModel;
use app\admin\model\CourseClassModel;
use app\common\controller\Backend;
use app\common\controller\Frontend;


class Teachnotice extends Backend
{
    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';

    /**
     * 教学公告二级分类页面
     * @return string
     * 首页
     */
    public function secondNotice(){
        $teach_id = 2;
        $teachclass = CourseClassModel::where(['pid' =>$teach_id])->field('id,title')->select();
        foreach ($teachclass as $key => $val){
            $TeachArticles = CourseArticleModel::where(['class_id' =>$val['id']])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime_text')->limit(7)->select();
            foreach ($TeachArticles as $k => $v){
                $TeachArticles[$k]['content'] = mb_substr_content($v['content'],55);
//                $TeachArticles[$k]['day'] = date('d',$v['createtime']);
//                $TeachArticles[$k]['month'] = date('Y-m',$v['createtime']);
            }
            $teachclass[$key]['TeachArticles'] = $TeachArticles;
        }
        $noticebanner = get_banner(4,4);
        $this->view->assign("noticebanner", $noticebanner);
        $this->view->assign("teachclass", $teachclass);
        return $this->view->fetch('index/notices');

    }
}